# BrianGlobalPreferencesView class

(Shortest import: `from brian2.core.preferences import BrianGlobalPreferencesView)`

class brian2.core.preferences.BrianGlobalPreferencesView(basename, all_prefs)

  Bases: `MutableMapping`

  A class allowing for accessing preferences in a subcategory. It forwards requests to `BrianGlobalPreferences` and provides documentation and autocompletion support for all preferences in the given category. This object is used to allow accessing preferences via attributes of the `prefs` object.

  Parameters:

    basename : str

    > The name of the preference category. Has to correspond to a key in `BrianGlobalPreferences.pref_register`.

    all_prefs : `BrianGlobalPreferences`

    > A reference to the main object storing the preferences.